Bug 1293522 - Wrong default colour model for Canon PIXMA MG5350 printer (and probably/apparently other PIXMAs)
Wrong default colour model for Canon PIXMA MG5350 printer (and probably/appar...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gutenprint (Show other bugs)
28
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 21:52 EST by Stephen
Modified: 2018-02-20 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2015-12-21 21:52:07 EST
Description of problem:

When adding a Canon PIXMA MG5350 (e.g. via gnome-control-center or system-config-printer), the RGB colour model is chosen as the default for the printer.

This results in print output where all colours are extremely dark/murky. For example, a printout of a full-saturation RGB colour wheel (as used on /usr/share/cups/data/default-testpage.pdf) looks more like the same image with saturations reduced to ~33% (e.g. something like #555500 for yellow instead of #ffff00).

Changing the colour model to CMYK in the printer config. results in correct colour reproduction.

Output was tested using both the above default CUPS test page (an PDF using the sRGB colour space according to 'identify -verbose'), and a sample sRGB JPG colour wheel printed via Shotwell (which respects the configured printer colour model by default unlike e.g. EOG).


Version-Release number of selected component (if applicable):

Gutenprint 5.2.10-15.fc23
CUPS 2.1.2-1-fc23


Expected results:

Correct colours by default.


Additional info:

Similar bugs elsewhere:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=787709
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497936
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1181884

Other printers mentioned in those reports:

PIXMA iP4300
PIXMA MG2250
PIXMA MG6200


Debian posted this upstream to Gutenprint and was met with silence: http://sourceforge.net/p/gimp-print/mailman/message/34257165/

Generated PPD for the printer in /etc/cups/ppd contains:

  *DefaultColorSpace:     RGB

Is Fedora in a position to send a patch upstream to try and get some movement on this maybe?
Comment 1 Stephen 2015-12-21 22:09:03 EST
Created upstream bug report: https://sourceforge.net/p/gimp-print/bugs/688/
Comment 2 Stephen 2015-12-21 22:21:13 EST
Correction: relevant line in the generated PPD seems like it might be this one?

*StpDefaultColorModel: RGB

That value doesn't change in the generated PPD when switching the colour model config, but the following does:

*DefaultColorModel: RGB [CMYK after manually changing printer config.]
Comment 3 Jiri Popelka 2015-12-22 11:35:54 EST
(In reply to Stephen from comment #0)
> Is Fedora in a position to send a patch upstream to try and get some
> movement on this maybe?

Chances are the same as from any other user, we haven't contributed much to gutenprint in recent years.
Comment 4 Fedora Admin XMLRPC Client 2016-06-24 06:35:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 09:27:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Stephen 2016-12-17 07:07:42 EST
Not fixed upstream or downstream - still a bug.
Comment 7 Fedora End Of Life 2017-11-16 14:48:09 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Stephen 2017-11-18 07:22:10 EST
No fix upstream - there was a response there that it's putatively down to a lack of any default calibration for the printer.

Regardless I don't believe it's pure coincidence that changing the default colour model to CMYK "fixes" the issue - possibly instead, a default calibration would effectively perform a similar colourspace transformation.

Upstream updated; if they're unwilling to change the default colourspace on the basis that it's a "double-wrong" fix, fair enough, in which case Fedora should patch with a practical "wrong" fix that makes the printer (and probably other mentioned PIXMAs) actually work for users, instead of being technically correct but totally broken for users.
Comment 9 Fedora End Of Life 2018-02-20 10:29:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Note You need to log in before you can comment on or make changes to this bug.